.scroller {
    position: fixed;
    z-index: 100;
	right: 40px;
    top: 50%;
    opacity: 1;
	transform: translateY(-50%, -50%);
	-ms-transform: translateY(-50%);
	-webkit-transform: translateY(-50%);
	-moz-transform: translateY(-50%);
	-o-transform: translateY(-50%);
}

.scroller ul {
    margin: 0;
    padding: 0
}

.scroller ul li {
    display: block;
    width: 14px;
    height: 13px;
    margin: 7px;
    position: relative;
    cursor: pointer;
}

.scroller ul li a {
    display: block;
    position: relative;
    z-index: 1;
    width: 100%;
    height: 100%;
    cursor: pointer;
    text-decoration: none
}

.scroller ul li a.active span,
.scroller ul li:hover a.active span {
    height: 12px;
    width: 12px;
    margin: -6px 0 0 -6px;
    border-radius: 100%;
    background: var(--Main-light);
}

.scroller ul li a span {
    border-radius: 50%;
    position: absolute;
    z-index: 1;
    height: 4px;
    width: 4px;
    border: 0;
    background: var(--Med-dark);
    left: 50%;
    top: 50%;
    margin: -2px 0 0 -2px;
    -webkit-transition: all .1s ease-in-out;
    -moz-transition: all .1s ease-in-out;
    -o-transition: all .1s ease-in-out;
    transition: all .1s ease-in-out
}

.scroller ul li:hover a span {
    width: 10px;
    height: 10px;
    margin: -5px 0 0 -5px
}

@media only screen and (max-width: 1023px) {
	.scroller {
		display: none;
	}	
}

.scroller {
    position: fixed;
    z-index: 100;
	right: 40px;
    top: 50%;
    opacity: 1;
	transform: translateY(-50%, -50%);
	-ms-transform: translateY(-50%);
	-webkit-transform: translateY(-50%);
	-moz-transform: translateY(-50%);
	-o-transform: translateY(-50%);
}

.scroller ul {
    margin: 0;
    padding: 0
}

.scroller ul li {
    display: block;
    width: 14px;
    height: 13px;
    margin: 7px;
    position: relative;
    cursor: pointer;
}

.scroller ul li a {
    display: block;
    position: relative;
    z-index: 1;
    width: 100%;
    height: 100%;
    cursor: pointer;
    text-decoration: none
}

.scroller ul li a.active span,
.scroller ul li:hover a.active span {
    height: 12px;
    width: 12px;
    margin: -6px 0 0 -6px;
    border-radius: 100%;
    background: var(--Main-light);
}

.scroller ul li a span {
    border-radius: 50%;
    position: absolute;
    z-index: 1;
    height: 4px;
    width: 4px;
    border: 0;
    background: var(--Med-dark);
    left: 50%;
    top: 50%;
    margin: -2px 0 0 -2px;
    -webkit-transition: all 150ms ease-in-out;
    -moz-transition: all 150ms ease-in-out;
    -o-transition: all 150ms ease-in-out;
    transition: all 150ms ease-in-out
}

.scroller ul li:hover a span {
    width: 10px;
    height: 10px;
    margin: -5px 0 0 -5px
}

@media only screen and (max-width: 1023px) {
	.scroller {
		display: none;
	}	
}

.scroller--top {
    position: fixed;
    z-index: 5;
    right: 40px;
    bottom: 30px;
    opacity: 0;
    visibility: hidden;
    -webkit-transition: opacity 150ms ease-in-out;
    -moz-transition: opacity 150ms ease-in-out;
    -ms-transition: opacity 150ms ease-in-out;
    -o-transition: opacity 150ms ease-in-out;
    transition: opacity 150ms ease-in-out;
}

.scroller--top.active {
    opacity: 1;
    visibility: visible;
}

.scroller--top a {
	display: block;
    text-decoration: none;
}

.scroller--top a span {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    border-radius: 200px;
    color: var(--Main-background);
    background-color: var(--Main-color);
}

.scroller--top svg path {
	stroke: var(--Main-background);
}

@media only screen and (max-width: 1023px) {
    .scroller--top {
        right: 25px;
        bottom: 25px;
    }
}
@media only screen and (min-width: 1023px) {
	.scroller--top {
		display: none;
	}	
}

.scroller--back {
    position: fixed;
    z-index: 5;
    right: 40px;
    bottom: 50px;
}

@media only screen and (max-width: 1023px) {
    .scroller--back {
		left: 25px;
		bottom: 25px;
		text-align: left;
	}
}